## stress-ng 0.18.10

=== Makefile ===
#
# Copyright (C) 2013-2021 Canonical, Ltd.
# Copyright (C) 2021-2025 Colin Ian King
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#

#
# Codename "numa enhanced strainer"
#
VERSION=0.18.10

#
# Determine supported toolchains
#
COMPILER = cc
ifneq ($(shell $(CC) -v 2>&1 | grep version | grep gcc),)
COMPILER = gcc
endif
ifneq ($(shell $(CC) -v 2>&1 | grep version | grep icc),)
COMPILER = icc
endif
ifneq ($(shell $(CC) -v 2>&1 | grep "Portable C Compiler"),)
COMPILER = pcc
endif
ifneq ($(shell $(CC) -v 2>&1 | grep "tcc"),)
COMPILER = tcc
endif
ifneq ($(shell $(CC) -v 2>&1 | grep version | grep clang),)
COMPILER = clang
endif
ifneq ($(shell $(CC) -v 2>&1 | grep oneAPI | grep Compiler),)
COMPILER = icx
endif
ifeq ($(shell echo | $(CC) -E -Wp,-v - 2>&1 | grep musl  > /dev/null && echo 1),1)
COMPILER = musl-gcc
override CFLAGS += -DHAVE_CC_MUSL_GCC
endif
ifneq ($(shell $(CC) -v 2>&1 | grep scan-build),)
COMPILER = scan-build
endif

#
# check for ALT linux gcc, define HAVE_ALT_LINUX_GCC, see core-shim.c
# https://github.com/ColinIanKing/stress-ng/issues/452
#
ifneq ($(shell $(CC) -v 2>&1 | grep Target | grep "alt-linux"),)
override CFLAGS += -DHAVE_ALT_LINUX_GCC
endif

KERNEL=$(shell uname -s)
NODENAME=$(shell uname -n)

override CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -std=gnu99

#
#  Building stress-vnni with less than -O2 causes breakage with
#  gcc-13.2, so remove then and ensure at least -O2 is used or
#  honour flags > -O2 if they are provided
#
VNNI_OFLAGS_REMOVE=-O0 -O1 -Os -Oz -Og
VNNI_CFLAGS += $(filter-out $(VNNI_OFLAGS_REMOVE),$(CFLAGS))

#
# Default -O2 if optimization level not defined
#
ifeq "$(findstring -O,$(CFLAGS))" ""
	override CFLAGS += -O2
endif
ifeq "$(findstring -O,$(VNNI_CFLAGS))" ""
	override VNNI_CFLAGS += -O2
endif

#
# Debug flag
#
ifeq ($(DEBUG),1)
override CFLAGS += -g
endif

#
# Check if compiler supports flag set in $(flag)
#
cc_supports_flag = $(shell $(CC) -Werror $(flag) -E -xc /dev/null > /dev/null 2>&1 && echo $(flag))

#
# Pedantic flags
#
ifeq ($(PEDANTIC),1)
ifeq ($(COMPILER),icc)
PEDANTIC_FLAGS := \
	-Wcast-qual -Wfloat-equal -Wmissing-declarations \
	-Wno-long-long -Wshadow -Wno-missing-field-initializers \
	-Wno-missing-braces -Wno-sign-compare -Wno-multichar \
	-DHAVE_PEDANTIC
else
PEDANTIC_FLAGS := \
	-Wcast-qual -Wfloat-equal -Wmissing-declarations \
	-Wmissing-format-attribute -Wno-long-long -Wpacked \
	-Wredundant-decls -Wshadow -Wno-missing-field-initializers \
	-Wno-missing-braces -Wno-sign-compare -Wno-multichar \
	-DHAVE_PEDANTIC
endif
override CFLAGS += $(foreach flag,$(PEDANTIC_FLAGS),$(cc_supports_flag))
endif

#
# Test for hardening flags and apply them if applicable
#
MACHINE := $(shell make -f Makefile.machine)
ifneq ($(PRESERVE_CFLAGS),1)
ifneq ($(MACHINE),$(filter $(MACHINE),alpha hppa ia64))
flag = -Wformat -fstack-protector-strong -Werror=format-security
#
# add -D_FORTIFY_SOURCE=2 if _FORTIFY_SOURCE is not already defined
#
ifeq ($(shell echo _FORTIFY_SOURCE | $(CC) $(CFLAGS) -E -xc - | tail -1),_FORTIFY_SOURCE)
flag += -D_FORTIFY_SOURCE=2
endif
override CFLAGS += $(cc_supports_flag)
endif
endif

#
# Optimization flags
#
ifneq ($(filter-out clang icc scan-build,$(COMPILER)),)
override CFLAGS += $(foreach flag,-fipa-pta -fivopts,$(cc_supports_flag))
ifneq ($(MACHINE),$(filter $(MACHINE),ibms390 s390))
override CFLAGS += $(foreach flag,-fmodulo-sched,$(cc_supports_flag))
endif
endif

#
# Enable Link Time Optimization
#
ifeq ($(LTO),1)
override CFLAGS += $(foreach flag,-flto=auto,$(cc_supports_flag))
endif

ifeq ($(GARBAGE_COLLECT),1)
#
# Sections flags
#
SECTIONS_FLAGS := -ffunction-sections -fdata-sections -Wl,--gc-sections
override CFLAGS += $(foreach flag,$(SECTIONS_FLAGS),$(cc_supports_flag))

ifneq ($(VERBOSE),)
GC_SECTIONS_FLAGS := -Wl,--print-gc-sections
override CFLAGS += $(foreach flag,$(GC_SECTIONS_FLAGS),$(cc_supports_flag))
endif
endif

#
# Expected build warnings
#
ifeq ($(UNEXPECTED),1)
override CFLAGS += -DCHECK_UNEXPECTED
endif

#
# Building with Coverity?
#
ifeq ($(COVERITY),1)
override CFLAGS += -DCOVERITY
endif

#
# Disable any user defined PREFV setting
#
ifneq ($(PRE_V),)
override undefine PRE_V
endif
#
# Verbosity prefixes
#
ifeq ($(VERBOSE),)
PRE_V=@
PRE_Q=@
else
PRE_V=
PRE_Q=@#
endif

ifneq ($(PRESERVE_CFLAGS),1)
ifeq ($(findstring icc,$(COMPILER)),icc)
override CFLAGS += -no-inline-max-size -no-inline-max-total-size
override CFLAGS += -axAVX,CORE-AVX2,CORE-AVX-I,CORE-AVX512,SSE2,SSE3,SSSE3,SSE4.1,SSE4.2,SANDYBRIDGE,SKYLAKE,SKYLAKE-AVX512,TIGERLAKE,SAPPHIRERAPIDS
override CFLAGS += -ip -falign-loops -funroll-loops -ansi-alias -fma -qoverride-limits
endif
endif

#ifeq ($(findstring clang,$(COMPILER)),clang)
#override CFLAGS += -Weverything
#endif

GREP = grep
#
# SunOS requires special grep for -e support
#
ifeq ($(KERNEL),SunOS)
ifneq ($(NODENAME),dilos)
GREP = /usr/xpg4/bin/grep
endif
endif

#
# Static flags, only to be used when using GCC
#
ifeq ($(STATIC),1)
override LDFLAGS += -static -z muldefs
override CFLAGS += -DBUILD_STATIC
endif

#
# Finalize flags
#

override CFLAGS := $(CFLAGS)
override LDFLAGS := $(LDFLAGS)
override VNNI_CFLAGS := $(VNNI_CFLAGS)

BINDIR=/usr/bin
MANDIR=/usr/share/man/man1
JOBDIR=/usr/share/stress-ng/example-jobs
BASHDIR=/usr/share/bash-completion/completions

#
# Header files
#
HEADERS = \
	core-arch.h \
	core-affinity.h \
	core-asm-arm.h \
	core-asm-generic.h \
	core-asm-loong64.h \
	core-asm-ppc64.h \
	core-asm-riscv.h \
	core-asm-s390.h \
	core-asm-sparc.h \
	core-asm-x86.h \
	core-asm-ret.h \
	core-attribute.h \
	core-bitops.h \
	core-builtin.h \
	core-capabilities.h \
	core-clocksource.h \
	core-config-check.h \
	core-cpu.h \
	core-cpu-cache.h \
	core-cpuidle.h \
	core-ftrace.h \
	core-hash.h \
	core-ignite-cpu.h \
	core-interrupts.h \
	core-io-priority.h \
	core-job.h \
	core-helper.h \
	core-killpid.h \
	core-klog.h \
	core-limit.h \
	core-lock.h \
	core-log.h \
	core-madvise.h \
	core-mlock.h \
	core-mmap.h \
	core-mincore.h \
	core-module.h \
	core-mounts.h \
	core-mwc.h \
	core-nt-load.h \
	core-nt-store.h \
	core-net.h \
	core-numa.h \
	core-opts.h \
	core-out-of-memory.h \
	core-parse-opts.h \
	core-perf.h \
	core-pragma.h \
	core-processes.h \
	core-pthread.h \
	core-put.h \
	core-rapl.h \
	core-resources.h \
	core-sched.h \
	core-setting.h \
	core-shared-heap.h \
	core-shim.h \
	core-smart.h \
	core-sort.h \
	core-stressors.h \
	core-syslog.h \
	core-target-clones.h \
	core-thermal-zone.h \
	core-thrash.h \
	core-time.h \
	core-try-open.h \
	core-vecmath.h \
	core-version.h \
	core-vmstat.h \
	stress-af-alg-defconfigs.h \
	stress-eigen-ops.h \
	stress-ng.h

#
#  Build time generated header files
#
HEADERS_GEN = \
	config.h \
	git-commit-id.h \
	io-uring.h \
	personality.h

#
#  Stressors
#
STRESS_SRC = \
	stress-access.c \
	stress-acl.c \
	stress-affinity.c \
	stress-af-alg.c \
	stress-aio.c \
	stress-aiol.c \
	stress-alarm.c \
	stress-apparmor.c \
	stress-atomic.c \
	stress-bad-altstack.c \
	stress-bad-ioctl.c \
	stress-besselmath.c \
	stress-bigheap.c \
	stress-bind-mount.c \
	stress-binderfs.c \
	stress-bitonicsort.c \
	stress-bitops.c \
	stress-branch.c \
	stress-brk.c \
	stress-bsearch.c \
	stress-bubblesort.c \
	stress-cache.c \
	stress-cachehammer.c \
	stress-cacheline.c \
	stress-cap.c \
	stress-cgroup.c \
	stress-chattr.c \
	stress-chdir.c \
	stress-chmod.c \
	stress-chown.c \
	stress-chroot.c \
	stress-clock.c \
	stress-clone.c \
	stress-close.c \
	stress-context.c \
	stress-copy-file.c \
	stress-cpu.c \
	stress-cpu-online.c \
	stress-cpu-sched.c \
	stress-crypt.c \
	stress-cyclic.c \
	stress-daemon.c \
	stress-dccp.c \
	stress-dekker.c \
	stress-dentry.c \
	stress-dev.c \
	stress-dev-shm.c \
	stress-dfp.c \
	stress-dir.c \
	stress-dirdeep.c \
	stress-dirmany.c \
	stress-dnotify.c \
	stress-dup.c \
	stress-dynlib.c \
	stress-eigen.c \
	stress-efivar.c \
	stress-enosys.c \
	stress-env.c \
	stress-epoll.c \
	stress-eventfd.c \
	stress-exec.c \
	stress-exit-group.c \
	stress-expmath.c \
	stress-factor.c \
	stress-fallocate.c \
	stress-fanotify.c \
	stress-far-branch.c \
	stress-fault.c \
	stress-fcntl.c \
	stress-fd-fork.c \
	stress-fd-race.c \
	stress-fibsearch.c \
	stress-fiemap.c \
	stress-fifo.c \
	stress-file-ioctl.c \
	stress-filename.c \
	stress-flipflop.c \
	stress-flock.c \
	stress-flushcache.c \
	stress-fma.c \
	stress-fork.c \
	stress-forkheavy.c \
	stress-fp.c \
	stress-fp-error.c \
	stress-fpunch.c \
	stress-fractal.c \
	stress-fsize.c \
	stress-fstat.c \
	stress-full.c \
	stress-funccall.c \
	stress-funcret.c \
	stress-futex.c \
	stress-get.c \
	stress-getrandom.c \
	stress-getdent.c \
	stress-goto.c \
	stress-gpu.c \
	stress-handle.c \
	stress-hash.c \
	stress-hdd.c \
	stress-heapsort.c \
	stress-hrtimers.c \
	stress-hsearch.c \
	stress-hyperbolic.c \
	stress-icache.c \
	stress-icmp-flood.c \
	stress-idle-page.c \
	stress-inode-flags.c \
	stress-inotify.c \
	stress-insertionsort.c \
	stress-intmath.c \
	stress-io.c \
	stress-iomix.c \
	stress-ioport.c \
	stress-ioprio.c \
	stress-io-uring.c \
	stress-ipsec-mb.c \
	stress-itimer.c \
	stress-jpeg.c \
	stress-judy.c \
	stress-kcmp.c \
	stress-key.c \
	stress-kill.c \
	stress-klog.c \
	stress-kvm.c \
	stress-l1cache.c \
	stress-landlock.c \
	stress-lease.c \
	stress-led.c \
	stress-link.c \
	stress-list.c \
	stress-llc-affinity.c \
	stress-loadavg.c \
	stress-lockbus.c \
	stress-locka.c \
	stress-lockf.c \
	stress-lockmix.c \
	stress-lockofd.c \
	stress-logmath.c \
	stress-longjmp.c \
	stress-loop.c \
	stress-lsearch.c \
	stress-lsm.c \
	stress-madvise.c \
	stress-malloc.c \
	stress-matrix.c \
	stress-matrix-3d.c \
	stress-mcontend.c \
	stress-membarrier.c \
	stress-memcpy.c \
	stress-memfd.c \
	stress-memhotplug.c \
	stress-memrate.c \
	stress-memthrash.c \
	stress-mergesort.c \
	stress-metamix.c \
	stress-mincore.c \
	stress-min-nanosleep.c \
	stress-misaligned.c \
	stress-mknod.c \
	stress-mlock.c \
	stress-mlockmany.c \
	stress-mmap.c \
	stress-mmapaddr.c \
	stress-mmapfiles.c \
	stress-mmapfixed.c \
	stress-mmapfork.c \
	stress-mmaphuge.c \
	stress-mmapmany.c \
	stress-module.c \
	stress-monte-carlo.c \
	stress-mprotect.c \
	stress-mpfr.c \
	stress-mq.c \
	stress-mremap.c \
	stress-mseal.c \
	stress-msg.c \
	stress-msync.c \
	stress-msyncmany.c \
	stress-mtx.c \
	stress-munmap.c \
	stress-mutex.c \
	stress-nanosleep.c \
	stress-netdev.c \
	stress-netlink-proc.c \
	stress-netlink-task.c \
	stress-nice.c \
	stress-nop.c \
	stress-null.c \
	stress-numa.c \
	stress-oom-pipe.c \
	stress-opcode.c \
	stress-open.c \
	stress-pagemove.c \
	stress-pageswap.c \
	stress-pci.c \
	stress-personality.c \
	stress-peterson.c \
	stress-physpage.c \
	stress-pidfd.c \
	stress-ping-sock.c \
	stress-pipe.c \
	stress-pipeherd.c \
	stress-pkey.c \
	stress-plugin.c \
	stress-poll.c \
	stress-powmath.c \
	stress-prctl.c \
	stress-prefetch.c \
	stress-prime.c \
	stress-prio-inv.c \
	stress-priv-instr.c \
	stress-procfs.c \
	stress-pseek.c \
	stress-pthread.c \
	stress-ptrace.c \
	stress-ptr-chase.c \
	stress-pty.c \
	stress-quota.c \
	stress-qsort.c \
	stress-race-sched.c \
	stress-radixsort.c \
	stress-randlist.c \
	stress-ramfs.c \
	stress-rawdev.c \
	stress-rawpkt.c \
	stress-rawsock.c \
	stress-rawudp.c \
	stress-rdrand.c \
	stress-readahead.c \
	stress-reboot.c \
	stress-regex.c \
	stress-regs.c \
	stress-remap.c \
	stress-rename.c \

=== debian/changelog ===
stress-ng (0.18.10-1) unstable; urgency=medium

  [Christian Franke]
  * stress-acl: reduce ACL testcases on Cygwin

  [Colin Ian King]
  * stress-mlockmany: make mlockmany mlocks less OOMy
  * stress-sigill: also handle SIGBUS signals
  * stress-bitops: fix assignment of is_pwr2
  * core-out-of-memory: core-*: replace %jd with PRIdMAX
  * core-*: add some LIKELY/UNLIKELY branch hints
  * stress-*: add some LIKELY/UNLIKELY branch hints
  * Manual: Fix typo "mmaphuge-numa" -> "mmanmany-numa"
  * stress-intmath: clean up if/else statement
  * stress-sigill: add extra illegal opcode for arm v6
  * stress-cachehammer: cast return from mmap to uint8_t *
  * core-cpuidle: make cpuidle_path a little larger
  * stress-fsize: fix 32 bit file size limits, force truncate each time
  * stress-mmahuge: rename ctxt to context
  * stress-mmaphuge: ensure ctxt.fd is also initialized
  * stress-mmaphuge: ensure ctxt.numa_mask is initialized
  * stress-readahead: replace %jx with PRIxMAX
  * core-thrash: replace %jx sscanf with 32/64 bit portable version
  * core-thrash: read some memory related /sysfs files for Linux
  * stress-madvise: exercise MADV_GUARD_* flags
  * stress-sigsegv: exercise MADV_GUARD_INSTALL protected pages
  * kernel-coverage.sh: ignore genhtml inconsistent errors
  * stress-*: ensure numa mask frees are performed correctly
  * stress-cpu-sched: only call stress_numa_mask_alloc if alloc succeeded
  * stress-cachehammer: only call stress_numa_mask_alloc if alloc
    succeeded
  * core-numa: ignore null numa_mask and buffer ptr in
    stress_numa_randomize_pages
  * core-*: stress-*: replace %jd, %ju, %jx with PRIdMAX, PRIuMAX, PRIxMAX
  * stress-cacheline: disable unrolling in stress_cacheline_rdfwd64 for
    clang
  * core-*, stress-*: Fix typos in comments
  * kernel-coverage: add more stressor numa options for more coverage
  * stress-vm-addr: add --vm-addr-numa option
  * stress-pagemove: add --pagemove-numa option
  * core-numa: should be mbinding to prev_ptr rather than ptr
  * stress-llc-affinity: replace spaces with tab
  * core-numa: optimize mbind calls to handle multiple runs of same node
  * stress-mremap: add --mremap-numa option
  * stress-*: Fix typo "randonly" -> "randomly"
  * stress-mmapmany: add --mmapmany-numa option
  * Manual: fix --ioport-opts description, it's missing some text
  * stress-mmapfixed: correct cut-n-paste spelling mistakes
  * stress-mmaphuge: add --mmaphuge-numa option
  * stress-mmapfiles: move numa_nodes alloc and free to main body
  * stress-memfd: add in missing free of numa_nodes
  * stress-mcontend: free numa_mask once it is no longer used
  * stress-lockbus: free numa_mask once it is no longer used
  * stress-llc-affinity: add in missing free of numa_nodes
  * stress-mmapfixed: add --mmapfixed-numa option
  * kernel-coverage: add stressor numa options for more coverage
  * stress-mmapfiles: add --memfiles-numa option
  * stress-memfd: add --memfd-numa option
  * core-numa: make buffer a void * pointer
  * stress-mcontend: add --mcontend-numa option
  * stress-cachehammer: exercise various cache options with memory access too
  * stress-llc-affinity: add --llc-affinity-numa option
  * stress-cachehammer: add more comments, add more code for ppc64 testing
  * stress-cachehammer: add prefetch read and add some missing memory
    barriers
  * stress-cachehammer: add some UNLIKELY branch hints
  * stress-cachehammer: add write + flush cache methods
  * stress-cachehammer: free page after use, cleans up resource leak
  * stress-cachehammer: remove incorrect short optarg option in help
  * stress-cachehammer: fix short help name of stressor
  * stress-cachehammer: cycle addr2 around the buffer
  * stress-cachehammer: exercise two addresses per hammer operation
  * stress-madvise: add zero size null address madvise call
  * stress-cachehammer: use register func pointer hammer for hammer
    function calls
  * stress-af-alg-defconfigs: remove pkcs1pad variants
  * stress-cachehammer: fix leak of file descriptor fd
  * stress-af-alg: handle all bind failures the same way
  * stress-cachehammer: add shared file mmap'd page cache hammering
  * stress-cache: report signal name and number when catching rogue
    signals
  * stress-x86cpuid: update with new CPU ids from wikipedia
  * README.md: Add another kernel issue found with stress-ng
  * stress-af-alg: add missing af-alg names and types to failure messages
  * stress-cpu: rename macro and variables to not contain leading _
  * stress-cachehammer: ensure loops is at least 1 for 1 iteration
  * Manual: fix --mmap-bytes description
  * README.md add another link to a paper that references stress-ng

 -- Colin Ian King <colin.i.king@gmail.com>  Sun, 2 Feb 2025 16:55:52 +0000

stress-ng (0.18.09-1) unstable; urgency=medium

  * Makefile: bump version
  * test/test-dup3: fix build issue, replace : with ;
  * Add missing power11 built in check
  * test/test-attr-packed: fix shortint -> short int type

 -- Colin Ian King <colin.i.king@gmail.com>  Mon, 6 Jan 2025 10:30:43 +0000

stress-ng (0.18.08-1) unstable; urgency=medium

  [Dominik Steinberger]
  * Fix return type of numa core dummy functions

  [Colin Ian King]
  * Makefile: bump version
  * Manual: workaround warning by defining TW
  * Manual: Fix incorrect .TE macro, use .TP instead
  * Manual: fix spelling mistake "continous" -> "continuous"
  * stress-regex: fix spelling mistake "expresssion" -> "expression"
  * stress-fma: just offset array to get add/sub flavours of fma funcs
  * stress-veccmp: add compiler version checks for older compilers
  * core-helper: re-order signals
  * stress-signest: add in missing signals SIGCONT, SIGTSTP and SIGUNUSED
  * core-helper: add WSL file system magic to file magic ids
  * stress-acl: inform number of ACLs tested vs number of valid ACLs
  * stress-cachehammer: make local_buffer and local_page non-clobberable
  * Update copyright year
  * kernel-coverage: add a handful of missing options for more coverage


## stress-ng 0.18.11

=== Makefile ===
--- 
+++ 
@@ -18,9 +18,9 @@
 #
 
 #
-# Codename "numa enhanced strainer"
-#
-VERSION=0.18.10
+# Codename "optimized os oppressor"
+#
+VERSION=0.18.11
 
 #
 # Determine supported toolchains
@@ -143,6 +143,10 @@
 endif
 endif
 
+ifeq ($(COMPILER),icx)
+override CFLAGS += -vec -ax
+endif
+
 #
 # Enable Link Time Optimization
 #
@@ -175,6 +179,13 @@
 #
 ifeq ($(COVERITY),1)
 override CFLAGS += -DCOVERITY
+endif
+
+#
+# Building in github?
+#
+ifneq ($(GITHUB_RUN_ATTEMPT),)
+override VERBOSE=1
 endif
 
 #
@@ -496,6 +507,7 @@
 	stress-mmapfork.c \
 	stress-mmaphuge.c \
 	stress-mmapmany.c \
+	stress-mmaptorture.c \
 	stress-module.c \
 	stress-monte-carlo.c \
 	stress-mprotect.c \
@@ -553,12 +565,3 @@
 	stress-ramfs.c \
 	stress-rawdev.c \
 	stress-rawpkt.c \
-	stress-rawsock.c \
-	stress-rawudp.c \
-	stress-rdrand.c \
-	stress-readahead.c \
-	stress-reboot.c \
-	stress-regex.c \
-	stress-regs.c \
-	stress-remap.c \
-	stress-rename.c \

=== debian/changelog ===
stress-ng (0.18.11-1) unstable; urgency=medium

  * core-helper: add check for Cygwin
  * stress-zombie: repeat zombie state checks for more robust checking
  * stress-af-alg: ignore errno = 0 send* failures
  * stress-mcontend: ensure mcontend_numa is defaulted to false
  * stress-pci: make t_delta non-clobberable
  * stress-mmaptorture: cat mmap returns to uint8_t *
  * stress-zombie: add sched_yield before zombie Z state check
  * stress-mmaptorture: voidify function argument mmaptorture_msync
  * stress-vm: add HAVE_LINUX_MEMPOLICY_H check when using numa.mask
  * stress-tun: perform addition before casting to uint8_t
  * core-thrash: make begin/end unsigned to match %x sscanf format
    specifier
  * stress-munmap: make major and minor unsigned ints to match scanf %x
    specifiers
  * core-numa: avoid pointer arithmetic on potentially NULL buffer
  * core-numa: don't dereference numa_mask before it's null checked
  * core-parse-opts: ensure format specifier and type match
  * stress-mmaptorture: only declare variable mypid when required
  * stress-zlib: call deflateEnd on error return path
  * stress-tsearch: avoid division by zero
  * stress-access: fix array termination comparison
  * workload: avoid division by zero when sum is 0.0
  * stress-vm: free context.numa_mask on error return path
  * stress-mmaptorture: voidify return from stress_get_setting
  * stress-intmath: load init values for fast ints from a fast int array
  * test-intmath: add a --intmath-fast option to exercise int_fast*_t types
  * README.md: add a couple more references to papers
  * core-memrate: add --memrate-method to specify read/write method
  * stress-memrate: allow zero values of memrate-rd-mbs and memrate-wr-mbs
  * stress-sysbadaddr: use shim_madvise for madvise calls
  * stress-tlb-shootdown: use shim_madvise for madvise calls
  * stress-pagemove: fix mprotect calls
  * core-shim: add shim macros for madvise advice
  * stress-mmaptorture: #ifdef around madvise, fix QNX build
  * kernel-coverage: add html to text conversion
  * kernel-coverage: add --branch-coverage coverage option
  * stress-*: handle ENOSUP errors on timer_create more graciously
  * stress-mmaptorture: populate mapping file and read mapping
  * stress-mmaptorture: rename temp strings name to avoid name shadowing
  * stress-ng.h: use 64 bit LFS
  * stress-mmaptorture: don't map more than mmaptoture-bytes
  * stress-mmaptorture: add some more torture metrics
  * stress-mmaptorture: use shm_open and shm_unlink for anon mappings
  * stress-close, stress-shm: check for SHM_OPEN and SHM_UNLINK
  * test: add shm-open and shm-unlink build time config checks
  * stress-mmaptorture: retry if mmap's fail rather than continuing
  * stress-mmaphuge: fix inverted MAP_FAILED check on madvise calls
  * stress-mmaptorture: add mlockall/munlockall in child process
  * stress-mmaptorture: bump MMAP_SIZE_MAP from 4 to 512 pages
  * stress-mmaptorture: remove debug
  * stress-mmaptorture: name each mmap'd page to create more VMAs
  * stress-mmaptorture: where possible, set vma name
  * core-helper: fix typo in comment: hash -> has
  * Manual: add mseal notes in mmaptruncate description
  * stress-mmaptorture: mseal a page in child process, fix munmap address
  * test: add check for setproctitle_init
  * test/test-setproctitle: remove check for setproctitle_init on BSD
    systems
  * stress-mmaptorture: increase size default to 256MB, add random
    ftruncate
  * kernel-coverage: add mmaptorture options
  * stress-mmaptorture: add --mmaptorture-msync option to change % rate
    of msyncs
  * stress-mmaptorture: add mmap stats and metrics
  * stress-mmaptorture: mmap onto an existing virt address with
    MAP_NOREPLACE
  * stress-mmaptorture: add MAP_FIXED re-map on just unmapped page
  * stress-mmaptorture: make variables nonclobberable due to longjmp
  * Dockerfile: make static stress-ng image, disable GPU stressor
  * github workflows: enable more arches now we have a Debian build
  * stress-mmaptorture: madvise don't need before unmapping pages in child
  * stress-mmaptorture: make pid noclobberable
  * github workflows: remove printenv
  * stress-mmaptorture: randomly fork child to dup and remove mappings
  * stress-mmaptorture: add random swap outs on pages
  * github workflows: enable more arches now we have a Debian build
  * Dockerfile: build images on Debian
  * Makefile: enable verbose build for github docker builds
  * README.md: add another kernel issue found with stress-ng
  * stress-mmaptorture: cater for systems that don't support msync
  * Revert "stress-hdd: make stress_hdd_opts_t field advise build dependant
  * stress-mmaptorture: cater for systems without MAP_NONBLOCK
  * stress-sockpair: unconstify fds arg, gcc 4.8.2 complains about this
  * stress-mmaptorture: reduce scope on newptr
  * stress-mmaptorture: move #endif
  * stress-mmaptorture: move } outside #ifdef block
  * stress-madvise: fix build issues with HAVE_MADVISE undefined
  * stress-mmaptorture: add --mmaptorture-bytes option
  * stress-mmaptorture: add remap_file_pages call where available
  * stress-mmaptorture: rework msync helper, msync pages randomly
  * core-out-of-memory: start timeout from first waitpid exit
  * stress-mmaptorture: add stressor that tortures mmap'd memory
  * Makefile: add some Intel icx compiler optimization flags
  * stress-pidfd: exercise PIDFD_SELF_THREAD and PIDFD_SELF_THREAD* fds
  * README.md: remove ] in link
  * README.md: add kernel issue and recent paper on stress-ng
  * core-config-check: check /sys/devices/system/cpu/cpufreq/boost is set
    to 1
  * core-ignite-cpu: enable cpu boost
  * stress-ng.h: silence PCC build warnings on __cold__ not being supported
  * core-*, stress-*: add LIKELY/UNLIKELY hints for stress_continue_flag
  * core-*, stress-*: make various pointers and variables const
  * stress-shm: remove empty line
  * core-helper: add stress_random_small_sleep for small pthread startup
    delays


=== debian/control ===
Source: stress-ng
Rules-Requires-Root: no
Section: devel
Priority: optional
Maintainer: Colin Ian King <colin.i.king@gmail.com>
Standards-Version: 4.7.0
Build-Depends: debhelper (>= 13),
               debhelper-compat (=13),
               libacl1-dev,
               zlib1g-dev,
               libbsd-dev,
               libeigen3-dev,
               libcrypt-dev,
               libjpeg-dev,
               libmpfr-dev,
               libgmp-dev,
               libkeyutils-dev [linux-any],
               libapparmor-dev [linux-any],
               apparmor [linux-any],
               libaio-dev [linux-any],
               libcap-dev [linux-any],
               libsctp-dev [linux-any],
               libipsec-mb-dev [amd64],
               libjudy-dev,
               libatomic1 [linux-any],
               libkmod-dev [linux-any],
               libxxhash-dev,
               libglvnd-dev,
               libgbm-dev [linux-any]
Homepage: https://github.com/ColinIanKing/stress-ng

Package: stress-ng
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tool to load and stress a computer
 stress-ng can stress various subsystems of a computer.  It can stress load
 CPU, cache, disk, memory, socket and pipe I/O, scheduling and much more.
 stress-ng is a re-write of the original stress tool by Amos Waterland but
 has many additional features such as specifying the number of bogo operations
 to run, execution metrics, a stress verification on memory and compute
 operations and considerably more stress mechanisms.

## stress-ng 0.19.00

=== Makefile ===
--- 
+++ 
@@ -18,9 +18,9 @@
 #
 
 #
-# Codename "optimized os oppressor"
-#
-VERSION=0.18.11
+# Codename "furious file frobnicater"
+#
+VERSION=0.19.00
 
 #
 # Determine supported toolchains
@@ -117,6 +117,17 @@
 endif
 
 #
+# Sanitize flags
+#
+ifeq ($(SANITIZE),1)
+SANITIZE_FLAGS := \
+	-fsanitize=null -fsanitize=bounds-strict -fsanitize=bounds \
+	-fsanitize=object-size -fsanitize=pointer-overflow -fsanitize=builtin \
+	-fsanitize=alignment -fsanitize=object-size
+override CFLAGS += $(foreach flag,$(SANITIZE_FLAGS),$(cc_supports_flag))
+endif
+
+#
 # Test for hardening flags and apply them if applicable
 #
 MACHINE := $(shell make -f Makefile.machine)
@@ -138,9 +149,17 @@
 #
 ifneq ($(filter-out clang icc scan-build,$(COMPILER)),)
 override CFLAGS += $(foreach flag,-fipa-pta -fivopts,$(cc_supports_flag))
+override CFLAGS += $(foreach flag,-ftree-vectorize -ftree-slp-vectorize,$(cc_supports_flag))
 ifneq ($(MACHINE),$(filter $(MACHINE),ibms390 s390))
 override CFLAGS += $(foreach flag,-fmodulo-sched,$(cc_supports_flag))
 endif
+endif
+
+#
+# Relax compxchg flags
+#
+ifneq ($(filter-out clang icc pcc scan-build,$(COMPILER)),)
+override CFLAGS += $(foreach flag,-mrelax-cmpxchg-loop,$(cc_supports_flag))
 endif
 
 ifeq ($(COMPILER),icx)
@@ -231,7 +250,7 @@
 # Static flags, only to be used when using GCC
 #
 ifeq ($(STATIC),1)
-override LDFLAGS += -static -z muldefs
+override LDFLAGS += -static -z muldefs -ffunction-sections -fdata-sections -Wl,--gc-sections
 override CFLAGS += -DBUILD_STATIC
 endif
 
@@ -312,6 +331,7 @@
 	core-smart.h \
 	core-sort.h \
 	core-stressors.h \
+	core-sync.h \
 	core-syslog.h \
 	core-target-clones.h \
 	core-thermal-zone.h \
@@ -392,6 +412,7 @@
 	stress-dnotify.c \
 	stress-dup.c \
 	stress-dynlib.c \
+	stress-easy-opcode.c \
 	stress-eigen.c \
 	stress-efivar.c \
 	stress-enosys.c \
@@ -414,6 +435,7 @@
 	stress-fifo.c \
 	stress-file-ioctl.c \
 	stress-filename.c \
+	stress-filerace.c \
 	stress-flipflop.c \
 	stress-flock.c \
 	stress-flushcache.c \
@@ -529,39 +551,3 @@
 	stress-nop.c \
 	stress-null.c \
 	stress-numa.c \
-	stress-oom-pipe.c \
-	stress-opcode.c \
-	stress-open.c \
-	stress-pagemove.c \
-	stress-pageswap.c \
-	stress-pci.c \
-	stress-personality.c \
-	stress-peterson.c \
-	stress-physpage.c \
-	stress-pidfd.c \
-	stress-ping-sock.c \
-	stress-pipe.c \
-	stress-pipeherd.c \
-	stress-pkey.c \
-	stress-plugin.c \
-	stress-poll.c \
-	stress-powmath.c \
-	stress-prctl.c \
-	stress-prefetch.c \
-	stress-prime.c \
-	stress-prio-inv.c \
-	stress-priv-instr.c \
-	stress-procfs.c \
-	stress-pseek.c \
-	stress-pthread.c \
-	stress-ptrace.c \
-	stress-ptr-chase.c \
-	stress-pty.c \
-	stress-quota.c \
-	stress-qsort.c \
-	stress-race-sched.c \
-	stress-radixsort.c \
-	stress-randlist.c \
-	stress-ramfs.c \
-	stress-rawdev.c \
-	stress-rawpkt.c \

## stress-ng 0.19.02

=== Makefile ===
--- 
+++ 
@@ -18,9 +18,9 @@
 #
 
 #
-# Codename "furious file frobnicater"
-#
-VERSION=0.19.00
+# Codename "manic memory mangler"
+#
+VERSION=0.19.02
 
 #
 # Determine supported toolchains
@@ -50,6 +50,7 @@
 endif
 ifneq ($(shell $(CC) -v 2>&1 | grep scan-build),)
 COMPILER = scan-build
+override CC := $(CC) clang
 endif
 
 #
@@ -63,7 +64,7 @@
 KERNEL=$(shell uname -s)
 NODENAME=$(shell uname -n)
 
-override CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -std=gnu99
+override CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"'
 
 #
 #  Building stress-vnni with less than -O2 causes breakage with
@@ -166,6 +167,7 @@
 override CFLAGS += -vec -ax
 endif
 
+
 #
 # Enable Link Time Optimization
 #
@@ -184,6 +186,14 @@
 GC_SECTIONS_FLAGS := -Wl,--print-gc-sections
 override CFLAGS += $(foreach flag,$(GC_SECTIONS_FLAGS),$(cc_supports_flag))
 endif
+endif
+
+ifneq ($(SOURCE_DATE_EPOCH),)
+override CFLAGS += -DHAVE_SOURCE_DATE_EPOCH=$(SOURCE_DATE_EPOCH)
+endif
+
+ifneq ($(EXTRA_BUILDINFO),)
+override CFLAGS += -DHAVE_EXTRA_BUILDINFO
 endif
 
 #
@@ -258,9 +268,13 @@
 # Finalize flags
 #
 
-override CFLAGS := $(CFLAGS)
+override CXXFLAGS += $(CFLAGS)
+
+override CXXFLAGS := $(CXXFLAGS)
+override CPPFLAGS := $(CPPFLAGS)
 override LDFLAGS := $(LDFLAGS)
 override VNNI_CFLAGS := $(VNNI_CFLAGS)
+override CFLAGS := $(CFLAGS) -std=gnu99
 
 BINDIR=/usr/bin
 MANDIR=/usr/share/man/man1
@@ -355,6 +369,67 @@
 	personality.h
 
 #
+# Stress core
+#
+CORE_SRC = \
+	core-affinity.c \
+	core-arch.c \
+	core-asm-ret.c \
+	core-cpu.c \
+	core-cpu-cache.c \
+	core-cpuidle.c \
+	core-clocksource.c \
+	core-config-check.c \
+	core-hash.c \
+	core-helper.c \
+	core-ignite-cpu.c \
+	core-interrupts.c \
+	core-io-uring.c \
+	core-io-priority.c \
+	core-job.c \
+	core-killpid.c \
+	core-klog.c \
+	core-limit.c \
+	core-lock.c \
+	core-log.c \
+	core-madvise.c \
+	core-mincore.c \
+	core-mlock.c \
+	core-mmap.c \
+	core-module.c \
+	core-mounts.c \
+	core-mwc.c \
+	core-net.c \
+	core-numa.c \
+	core-opts.c \
+	core-out-of-memory.c \
+	core-parse-opts.c \
+	core-perf.c \
+	core-processes.c \
+	core-rapl.c \
+	core-resources.c \
+	core-sched.c \
+	core-setting.c \
+	core-shared-heap.c \
+	core-shim.c \
+	core-smart.c \
+	core-sort.c \
+	core-sync.c \
+	core-thermal-zone.c \
+	core-time.c \
+	core-thrash.c \
+	core-ftrace.c \
+	core-try-open.c \
+	core-vmstat.c \
+	stress-ng.c
+
+#
+#  Build time core source files
+#
+CORE_SRC_GEN = \
+	core-config.c
+
+#
 #  Stressors
 #
 STRESS_SRC = \
@@ -428,6 +503,7 @@
 	stress-far-branch.c \
 	stress-fault.c \
 	stress-fcntl.c \
+	stress-fd-abuse.c \
 	stress-fd-fork.c \
 	stress-fd-race.c \
 	stress-fibsearch.c \
@@ -486,68 +562,3 @@
 	stress-klog.c \
 	stress-kvm.c \
 	stress-l1cache.c \
-	stress-landlock.c \
-	stress-lease.c \
-	stress-led.c \
-	stress-link.c \
-	stress-list.c \
-	stress-llc-affinity.c \
-	stress-loadavg.c \
-	stress-lockbus.c \
-	stress-locka.c \
-	stress-lockf.c \
-	stress-lockmix.c \
-	stress-lockofd.c \
-	stress-logmath.c \
-	stress-longjmp.c \
-	stress-loop.c \
-	stress-lsearch.c \
-	stress-lsm.c \
-	stress-madvise.c \
-	stress-malloc.c \
-	stress-matrix.c \
-	stress-matrix-3d.c \
-	stress-mcontend.c \
-	stress-membarrier.c \
-	stress-memcpy.c \
-	stress-memfd.c \
-	stress-memhotplug.c \
-	stress-memrate.c \
-	stress-memthrash.c \
-	stress-mergesort.c \
-	stress-metamix.c \
-	stress-mincore.c \
-	stress-min-nanosleep.c \
-	stress-misaligned.c \
-	stress-mknod.c \
-	stress-mlock.c \
-	stress-mlockmany.c \
-	stress-mmap.c \
-	stress-mmapaddr.c \
-	stress-mmapfiles.c \
-	stress-mmapfixed.c \
-	stress-mmapfork.c \
-	stress-mmaphuge.c \
-	stress-mmapmany.c \
-	stress-mmaptorture.c \
-	stress-module.c \
-	stress-monte-carlo.c \
-	stress-mprotect.c \
-	stress-mpfr.c \
-	stress-mq.c \
-	stress-mremap.c \
-	stress-mseal.c \
-	stress-msg.c \
-	stress-msync.c \
-	stress-msyncmany.c \
-	stress-mtx.c \
-	stress-munmap.c \
-	stress-mutex.c \
-	stress-nanosleep.c \
-	stress-netdev.c \
-	stress-netlink-proc.c \
-	stress-netlink-task.c \
-	stress-nice.c \
-	stress-nop.c \
-	stress-null.c \
-	stress-numa.c \

=== debian/changelog ===
stress-ng (0.19.02-1) unstable; urgency=medium

  * Sync to upstream version 0.19.02

 -- Colin Ian King <colin.i.king@gmail.com>  Tue, 1 Jul 2025 08:27:43 +0100

stress-ng (0.19.01-1) unstable; urgency=medium

  * Sync to upstream version 0.19.01

 -- Colin Ian King <colin.i.king@gmail.com>  Sun, 1 Jun 2025 17:38:12 +0100

stress-ng (0.19.00-1) unstable; urgency=medium

  [Yong-Xuan Wang]
  * stress-gpu: remove sigalrm handler
  * stress-af-alg: prevent unsafe longjmp
  * stress-sysinval: prevent unsafe longjmp
  * stress-memrate: prevent unsafe longjmp

  [Jesse Huang]
  * core-config-check: Fix segfault cause by uninitialized namelist

  [Colin Ian King]
  * Makefile: bump version
  * Manual: Fix spelling mistake "occuring" -> "occurring"
  * stress-filerace: Fix spelling mistake "attemp" -> "attempt"
  * stress-brk: move brk stats to shared page, reset brk on out of memory
  * stress-brk: make brk reset work correctly for --brk-bytes option
  * stress-sigbus: make unaligned pointers volatile to force stores
  * stress-sigbus: disabled x86 misaligned SIGBUS feature
  * stress-sigbus: jump out of loop on timeout, check info for null ptr
  * stress-fd-race: remove network class, it's not correct
  * stress-sigbus: avoid infinite longjmp spin loops
  * stress-sigbus: ensure AC bit in EFLAGS is cleared in all signal
    handlers
  * stress-lockbus: disable pcc builds, currently it breaks the compiler
  * README.me: remove old stale tarball info
  * core-log: add the logging prefix to the logging aborting stress
    process
  * stress-schedmix: fix build issue when HAVE_PSELECT is not defined
  * stress-resched: fix build when HAVE_SETPRIORITY is not defined
  * stress-poll: add HAVE_PSELECT check
  * stress-nice: fix build issues on RISC-V debian sid
  * core-cpu-cache: remove const on ptr_end
  * stress-fpunch: clean up variable name shadowing on variable ret
  * stress-lockbus: clean up variable name shadowing on variable rc
  * stress-filerace: clean up name shadowing warnings on fd, i and uid
  * core-sync: move stress_sync_state_load from stress-ng.h to core-sync.h
  * core-sync: move stress_sync_start_cont_list from stress-ng.c to
    core-sync.c
  * stress-*: move include of core-sync.h into stress-ng.h
  * stress-cachehammer: add extra checking for failed temp dir creat
    failures
  * stress-ng.h: make stress_continue() a macro
  * stress-ng: re-work stress_continue() to just check bogo-ops
  * core-vmstat: remove include of stress-ng.h
  * core-try-open: remove include of core-attribute.h
  * core-*.h: remove include of core-attribute.h
  * core-config-check: make warning more obvious
  * stress-ng: use stress_strsignal helper rather than strsignal
  * core-perf.h: remove include of stress-ng.h
  * stress-ng.h: rename bogo_ops to bogo_max_ops since it's a max
    threshold
  * stress-ng.h: remove -O3 from bogo counter helpers
  * stress-ng.h: put bogo op-related info into bogo struct
  * stress-vma: replace g_stress_continue_flag with helper func
  * stress-easy-opcode: replace g_stress_continue_flag with helper func
  * README.md: add another research paper link
  * Makefile: enable tree vectorize and tree-slp-vectorize and relax
    cmpxchg loops
  * Add new --buildinfo option to show build time information
  * Manual: describe the duplication of stdout in the --log-file option
  * stress-ng: ensure no child processes are forked on --dry-run
  * stress-filerace: only close fd if fd has been opened
  * core-sync: move process synchronization helpers from stress-ng.c to
    core_sync.c
  * stress-dirmany: maximize dirmany_bytes to 1TB if variable is wide
    enough
  * stress-dfp: remove undefs that came from fp stressor
  * stress-rdrand: add power11 check
  * stress-rdrand: fix ppc random issue, generate 64 bit value
  * stress-lockbus: SIGILL on s390 should disable misaligned locks
  * Makefile: add extra flags for static builds
  * core-attribute: add gcc version check for nonstring attribute
  * core-target-clones: add arch=diamondrapids
  * core-builtin.h: add support gcc-15 buitin_stdc_rotate* functions
  * core-*, stress-*: use nonstring attribute for char arrays
  * Makefile.config: add built time check for nonstring attribute
  * stress-filerace: remove O_EXCL to avoid exclusive opening
  * stress-filerace: add ftruncate on recently opened file
  * stress-filerace: enable POSIX_FALLOCATE, add open/fallocate/close
  * stress-filerace: hammer temp directory dirent reading (linux only)
  * stress-filerace: add more focused file hammering
  * stress-filerace: select function either randomly or sequentially
  * stress-fractal: use faster atomic inc on larger row counter
  * stress-filerace: move stress_filerace_read_random_uint32 into only
    caller
  * stress-filerace: more voidifications for DragonFlyBSD clean builds
  * stress-filerace: voidify fd and filename in stress_filerace_faccessat
  * stress-filerace: add some macro checks before using statx and
    name_to_handle_at
  * Manual: remove discards metrics from iostat description
  * core-vmstat: remove iostat discards metrics, they are not portable or
    used much
  * Revert "stress-fractal: move row lock from global struct to stressor
    shared page"
  * stress-nop: add x86 floating point fnop instruction
  * stress-filerace: increase size of locked regions, add more concurrency
  * stress-filerace: exercise lockf test
  * stress-filerace: increase number of random operations per file
  * stress-lockbus: remove #ifdefs around label done
  * stress-*: set dirent name lists pointers to NULL
  * stress-sigbus: generate SIGBUS on x86 with misaligned memory access
  * README.md: add Jesse Huang to contributor list
  * stress-lockbus: add SIGILL detection, skip with no resources warning
  * stress-filerace: add sendfile to the mix
  * stress-filerace: add readlinkat, use dir_fd variable for *at() file
    calls
  * stress-filerace: exercise name_to_handle_at on fd and filename


=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: devel
 Priority: optional
 Maintainer: Colin Ian King <colin.i.king@gmail.com>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Build-Depends: debhelper (>= 13),
                debhelper-compat (=13),
                libacl1-dev,

## stress-ng 0.19.03

=== Makefile ===
--- 
+++ 
@@ -18,9 +18,9 @@
 #
 
 #
-# Codename "manic memory mangler"
-#
-VERSION=0.19.02
+# Codename "savvy system smasher"
+#
+VERSION=0.19.03
 
 #
 # Determine supported toolchains
@@ -304,7 +304,9 @@
 	core-config-check.h \
 	core-cpu.h \
 	core-cpu-cache.h \
+	core-cpu-freq.h \
 	core-cpuidle.h \
+	core-filesystem.h \
 	core-ftrace.h \
 	core-hash.h \
 	core-ignite-cpu.h \
@@ -318,6 +320,7 @@
 	core-lock.h \
 	core-log.h \
 	core-madvise.h \
+	core-memory.h \
 	core-mlock.h \
 	core-mmap.h \
 	core-mincore.h \
@@ -333,6 +336,7 @@
 	core-parse-opts.h \
 	core-perf.h \
 	core-pragma.h \
+	core-prime.h \
 	core-processes.h \
 	core-pthread.h \
 	core-put.h \
@@ -340,10 +344,13 @@
 	core-resources.h \
 	core-sched.h \
 	core-setting.h \
+	core-shared-cache.h \
 	core-shared-heap.h \
 	core-shim.h \
+	core-signal.h \
 	core-smart.h \
 	core-sort.h \
+	core-stack.h \
 	core-stressors.h \
 	core-sync.h \
 	core-syslog.h \
@@ -375,11 +382,14 @@
 	core-affinity.c \
 	core-arch.c \
 	core-asm-ret.c \
+	core-capabilities.c \
 	core-cpu.c \
 	core-cpu-cache.c \
+	core-cpu-freq.c \
 	core-cpuidle.c \
 	core-clocksource.c \
 	core-config-check.c \
+	core-filesystem.c \
 	core-hash.c \
 	core-helper.c \
 	core-ignite-cpu.c \
@@ -393,6 +403,7 @@
 	core-lock.c \
 	core-log.c \
 	core-madvise.c \
+	core-memory.c \
 	core-mincore.c \
 	core-mlock.c \
 	core-mmap.c \
@@ -405,15 +416,19 @@
 	core-out-of-memory.c \
 	core-parse-opts.c \
 	core-perf.c \
+	core-prime.c \
 	core-processes.c \
 	core-rapl.c \
 	core-resources.c \
 	core-sched.c \
 	core-setting.c \
+	core-shared-cache.c \
 	core-shared-heap.c \
 	core-shim.c \
+	core-signal.c \
 	core-smart.c \
 	core-sort.c \
+	core-stack.c \
 	core-sync.c \
 	core-thermal-zone.c \
 	core-time.c \
@@ -547,18 +562,3 @@
 	stress-inotify.c \
 	stress-insertionsort.c \
 	stress-intmath.c \
-	stress-io.c \
-	stress-iomix.c \
-	stress-ioport.c \
-	stress-ioprio.c \
-	stress-io-uring.c \
-	stress-ipsec-mb.c \
-	stress-itimer.c \
-	stress-jpeg.c \
-	stress-judy.c \
-	stress-kcmp.c \
-	stress-key.c \
-	stress-kill.c \
-	stress-klog.c \
-	stress-kvm.c \
-	stress-l1cache.c \

=== debian/changelog ===
stress-ng (0.19.03-1) unstable; urgency=medium

  * Sync to upstream version 0.19.03

 -- Colin Ian King <colin.i.king@gmail.com>  Fri, 1 Aug 2025 08:42:59 +0100

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,8 @@
                libkmod-dev [linux-any],
                libxxhash-dev,
                libglvnd-dev,
-               libgbm-dev [linux-any]
+               libgbm-dev [linux-any],
+	       liblzma-dev
 Homepage: https://github.com/ColinIanKing/stress-ng
 
 Package: stress-ng

## stress-ng 0.19.04

=== Makefile ===
--- 
+++ 
@@ -18,9 +18,9 @@
 #
 
 #
-# Codename "savvy system smasher"
-#
-VERSION=0.19.03
+# Codename "rapid ram rattler"
+#
+VERSION=0.19.04
 
 #
 # Determine supported toolchains
@@ -479,6 +479,7 @@
 	stress-chmod.c \
 	stress-chown.c \
 	stress-chroot.c \
+	stress-chyperbolic.c \
 	stress-clock.c \
 	stress-clone.c \
 	stress-close.c \
@@ -488,6 +489,7 @@
 	stress-cpu-online.c \
 	stress-cpu-sched.c \
 	stress-crypt.c \
+	stress-ctrig.c \
 	stress-cyclic.c \
 	stress-daemon.c \
 	stress-dccp.c \
@@ -560,5 +562,3 @@
 	stress-idle-page.c \
 	stress-inode-flags.c \
 	stress-inotify.c \
-	stress-insertionsort.c \
-	stress-intmath.c \

=== debian/changelog ===
stress-ng (0.19.04-1) unstable; urgency=medium

  * Sync to upstream version 0.19.04

 -- Colin Ian King <colin.i.king@gmail.com>  Mon, 1 Sep 2025 09:39:13 +0100

## stress-ng 0.19.05

=== Makefile ===
--- 
+++ 
@@ -18,9 +18,9 @@
 #
 
 #
-# Codename "rapid ram rattler"
-#
-VERSION=0.19.04
+# Codename "tricky timer tester"
+#
+VERSION=0.19.05
 
 #
 # Determine supported toolchains

=== debian/changelog ===
stress-ng (0.19.05-1) unstable; urgency=medium

  * Sync to upstream version 0.19.05

 -- Colin Ian King <colin.i.king@gmail.com>  Wed, 1 Oct 2025 15:37:38 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,6 @@
                libaio-dev [linux-any],
                libcap-dev [linux-any],
                libsctp-dev [linux-any],
-               libipsec-mb-dev [amd64],
                libjudy-dev,
                libatomic1 [linux-any],
                libkmod-dev [linux-any],

## stress-ng 0.19.06

=== Makefile ===
--- 
+++ 
@@ -18,9 +18,9 @@
 #
 
 #
-# Codename "tricky timer tester"
-#
-VERSION=0.19.05
+# Codename "refreshed kernel agitator"
+#
+VERSION=0.19.06
 
 #
 # Determine supported toolchains
@@ -341,6 +341,7 @@
 	core-pthread.h \
 	core-put.h \
 	core-rapl.h \
+	core-resctrl.h \
 	core-resources.h \
 	core-sched.h \
 	core-setting.h \
@@ -419,6 +420,7 @@
 	core-prime.c \
 	core-processes.c \
 	core-rapl.c \
+	core-resctrl.c \
 	core-resources.c \
 	core-sched.c \
 	core-setting.c \
@@ -560,5 +562,3 @@
 	stress-icache.c \
 	stress-icmp-flood.c \
 	stress-idle-page.c \
-	stress-inode-flags.c \
-	stress-inotify.c \

=== debian/changelog ===
stress-ng (0.19.06-3) unstable; urgency=medium

  * Add upstream patch to fix x32 build failure

 -- Colin Ian King <colin.i.king@gmail.com>  Thu, 13 Nov 2025 11:07:44 +0000

stress-ng (0.19.06-2) unstable; urgency=medium

  * Add fix to disable -fmodulo-sched for s390 systems to speed up
    very long build times.
    (Closes: #1119833)

 -- Colin Ian King <colin.i.king@gmail.com>  Wed, 12 Nov 2025 10:13:11 +0000

stress-ng (0.19.06-1) unstable; urgency=medium

  * Sync to upstream version 0.19.06

 -- Colin Ian King <colin.i.king@gmail.com>  Wed, 5 Nov 2025 16:38:21 +0000

=== debian/tests/control ===
Tests: lite-test
Depends: stress-ng, @
